module Sis
  module Core
    class UtilsController < ApplicationController
      skip_before_action :authenticate_request, only: %i[filter]
      before_action :set_util_service, only: %i[filter]

      def filter
        result = ApplicationRecord.serialize(@service.filter_record(params))
        render json: { success: true, data: result }
      end

      private

      def set_util_service
        @service = UtilService.new
      end
    end
  end
end
