module Sis
  module Core
    class AcademicTimeLine < ApplicationRecord
      belongs_to :academic_year
      belongs_to :semester
      belongs_to :programme_type
      belongs_to :programme_level
      validates :registration_start_date, :registration_end_date, :penalty_registration_start_date,
                :penalty_registration_end_date, :add_and_drop_start_date, :add_and_drop_end_date,
                :penalty_add_and_drop_start_date, :penalty_add_and_drop_end_date, :mid_exam_start_date,
                :mid_exam_end_date, :final_exam_start_date, :final_exam_end_date, :grade_reporting_date, presence: true
    end
  end
end
