module Sis
  module Core
    class CourseOffering < ApplicationRecord
      belongs_to :course_offering_sequence
      belongs_to :academic_year
      belongs_to :semester
      belongs_to :level

      delegate(:course_code, to: :course_offering_sequence, prefix: false)
      delegate(:course_title, to: :course_offering_sequence, prefix: false)
      delegate(:course_ects, to: :course_offering_sequence, prefix: false)
      delegate(:course_credit_hours, to: :course_offering_sequence, prefix: false)
      delegate(:course_id, to: :course_offering_sequence, prefix: false)
      delegate(:course_lecture_hours, to: :course_offering_sequence, prefix: false)
      delegate(:course_lab_hours, to: :course_offering_sequence, prefix: false)
      delegate(:course_tutorial_hours, to: :course_offering_sequence, prefix: false)
    end
  end
end
