module Sis
  module Core
    class CourseOfferingSequence < ApplicationRecord
      belongs_to :curriculum_course
      belongs_to :programme_type
      belongs_to :level
      belongs_to :semester

      def course_id
        curriculum_course.course.id.to_s
      end

      def course_code
        curriculum_course.course.code.to_s
      end

      def course_title
        curriculum_course.course.title.to_s
      end

      def course_ects
        curriculum_course.course.ects.to_s
      end

      def course_credit_hours
        curriculum_course.course.credit_hours.to_s
      end

      def course_lecture_hours
        curriculum_course.course.lecture_hours.to_s
      end

      def course_lab_hours
        curriculum_course.course.lab_hours.to_s
      end

      def course_tutorial_hours
        curriculum_course.course.tutorial_hours.to_s
      end
    end
  end
end
