module Sis
  module Core
    class CreditHourRate < ApplicationRecord
      belongs_to :programme_level
      belongs_to :currency

      validates :rate, presence: true

      delegate(:name, to: :programme_level, prefix: true, allow_nil: false)
      delegate(:name, to: :currency, prefix: true, allow_nil: false)
      delegate(:code, to: :currency, prefix: true, allow_nil: false)
    end
  end
end
