module Sis
  module Core
    class EligibilityCriteria < ApplicationRecord
      belongs_to :clearing_role, class_name: 'Sis::Core::UserRole'
      validates :description, presence: true

      delegate(:name, to: :clearing_role, prefix: true)
    end
  end
end
