module Sis
  module Core
    class FieldOfStudy < ApplicationRecord
      belongs_to :program_type, class_name: 'Sis::Core::ProgramType', foreign_key: 'lookup_id'
      validates :name, presence: true
      validates :name, uniqueness: { case_sensitive: true }
    end
  end
end
