class CreateSisCoreApplicants < ActiveRecord::Migration[6.0]
  def change
    create_table :sis_core_applicants do |t|
      t.string :first_name, null: false
      t.string :middle_name, null: false
      t.string :last_name, null: false
      t.string :password_digest, null: false
      t.string :email, null: false
      t.string :alternative_email_address
      t.string :primary_phone_number
      t.string :alternative_telephone_number
      t.date :date_of_birth
      t.string :gender
      t.string :nationality
      t.string :address
      t.string :photo
      t.string :reset_password_token
      t.datetime :reset_password_sent_at
      t.string :secret_question
      t.string :secret_question_answer

      t.timestamps
    end
  end
end
