class CreateSisCoreApplicationDocuments < ActiveRecord::Migration[6.0]
  def change
    create_table :sis_core_application_documents do |t|
      t.string :document
      t.references :document_requirement,
                   null: false,
                   index: { name: 'ad_on_adr_indx' },
                   foreign_key: { to_table: :sis_core_document_requirements }
      t.references :application,
                   null: false,
                   index: { name: 'ad_on_application_indx' },
                   foreign_key: { to_table: :sis_core_applications }
      t.timestamps
    end
  end
end
