class CreateSisCoreExamResults < ActiveRecord::Migration[6.0]
  def change
    create_table :sis_core_exam_results do |t|
      t.float :points, null: false
      t.string :status, null: false
      t.references :exam,
                   null: false,
                   index: { name: 'er_on_exam_indx' },
                   foreign_key: { to_table: :sis_core_exams }
      t.references :application,
                   null: false,
                   index: { name: 'er_on_application_indx' },
                   foreign_key: { to_table: :sis_core_applications }

      t.timestamps
    end
  end
end
