class CreateSisCoreInstructorCourses < ActiveRecord::Migration[6.0]
  def change
    create_table :sis_core_instructor_courses do |t|
      t.references :instructor,
                   index: { name: 'instructor_on_ic_indx' },
                   null: false,
                   foreign_key: { to_table: :sis_core_instructors }
      t.references :course,
                   index: { name: 'course_on_ic_indx' },
                   null: false,
                   foreign_key: { to_table: :sis_core_courses }

      t.timestamps
    end
  end
end
