class CreateSisCoreCourseRegistrations < ActiveRecord::Migration[6.0]
  def change
    create_table :sis_core_course_registrations do |t|
      t.references :course,
                   index: { name: 'course_on_cr_indx' },
                   null: false,
                   foreign_key: { to_table: :sis_core_courses }
      t.references :student,
                   index: { name: 'student_on_cr_indx' },
                   null: false,
                   foreign_key: { to_table: :sis_core_students }
      t.references :semester,
                   index: { name: 'semester_on_cr_indx' },
                   null: false,
                   foreign_key: { to_table: :sis_core_semesters }

      t.timestamps
    end
  end
end
