class CreateSisCoreMenus < ActiveRecord::Migration[6.0]
  def change
    create_table :sis_core_menus do |t|
      t.string :text, null: false
      t.string :icon_cls
      t.string :location
      t.integer :parent_id
      t.references :application_module, index: { name: 'app_module_on_menus_indx' }

      t.timestamps
    end

    create_table :sis_core_menus_user_roles, id: false do |t|
      t.belongs_to :menu, index: { name: 'menu_on_menus_usr_role_indx' }
      t.belongs_to :user_role, index: { name: 'usr_role_on_menus_usr_role_indx' }
    end
  end
end
