class CreateSisCoreCurriculumCourses < ActiveRecord::Migration[6.0]
  def change
    create_table :sis_core_curriculum_courses do |t|
      t.references :curriculum,
                   null: false,
                   index: { name: 'cc_on_cc_course_indx' },
                   foreign_key: { to_table: :sis_core_curriculums }
      t.references :course,
                   null: false,
                   index: { name: 'course_on_cc_course_indx' },
                   foreign_key: { to_table: :sis_core_courses }
      t.string :course_type

      t.timestamps
    end
  end
end
