class CreateSisCorePrerequisites < ActiveRecord::Migration[6.0]
  def change
    create_table :sis_core_prerequisites do |t|
      t.references :predecessor,
                   null: false,
                   index: { name: 'pred_on_prerequisite' },
                   foreign_key: { to_table: :sis_core_curriculum_courses }
      t.references :successor,
                   null: false,
                   index: { name: 'succ_on_prerequisite' },
                   foreign_key: { to_table: :sis_core_curriculum_courses }
      t.timestamps
    end
  end
end
