class CreateSisCoreSections < ActiveRecord::Migration[6.0]
  def change
    create_table :sis_core_sections do |t|
      t.string :name, null: false
      t.references :entry,
                   null: false,
                   index: { name: 'entry_on_sec' },
                   foreign_key: { to_table: :sis_core_lookups }

      t.timestamps
    end
  end
end
