class RemoveFullNameFromInstructor < ActiveRecord::Migration[6.0]
  def change
    change_column :sis_core_courses, :lab_hours, :float, null: true
    remove_column :sis_core_instructors, :full_name, :string
    add_column :sis_core_instructors, :middle_name, :string
    add_column :sis_core_instructors, :gender, :string
    add_column :sis_core_instructors, :first_name, :string
    add_column :sis_core_instructors, :last_name, :string
    add_reference :sis_core_instructors, :user,
                  index: { name: 'user_on_instructor' }, foreign_key: { to_table: :sis_core_users }
  end
end
