class CreateSisCoreStudentDocuments < ActiveRecord::Migration[6.0]
  def change
    create_table :sis_core_student_documents do |t|
      t.references :document_type,
                   null: true,
                   index: { name: 'dt_on_stud_docs' },
                   foreign_key: { to_table: :sis_core_lookups }
      t.references :student,
                   null: false,
                   index: { name: 'stud_on_stud_docs' },
                   foreign_key: { to_table: :sis_core_students }
      t.string :file_url

      t.timestamps
    end
  end
end
