module Sis
  module Core
    class ApplicationDocument < ApplicationRecord
      belongs_to :application
      belongs_to :document_requirement
      has_one_attached :document

      delegate(:name, to: :document_requirement, prefix: true, allow_nil: false)
    end
  end
end
