module Sis
  module Core
    class StudentDocument < ApplicationRecord
      has_one_attached :file
      belongs_to :document_type, optional: true
      belongs_to :student

      delegate(:code, to: :document_type, prefix: true, allow_nil: true)
      delegate(:name, to: :document_type, prefix: true)
    end
  end
end
