Sis::Core::Engine.routes.draw do
  resources :users, only: [:create]
  post '/login', controller: :users, action: :login
  get '/menus', controller: :menus, action: :menu
  post '/sign_in', controller: :users, action: :sign_in
  post '/generate_recovery_token', controller: :users, action: :generate_recovery_token
  post '/reset_password', controller: :users, action: :reset_password
  resources :user_roles, only: %i[index]
  post '/utils/filter', controller: :utils, action: :filter
end
