class CreateSisCoreLookups < ActiveRecord::Migration[6.0]
  def change
    create_table :sis_core_lookups do |t|
      t.string :code, null: false
      t.string :name
      t.string :description
      t.string :type, null: false

      t.timestamps
    end

    add_index :sis_core_lookups, %i[name type], unique: true
  end
end
