class CreateSisCoreAcademicProgrammes < ActiveRecord::Migration[6.0]
  def change
    create_table :sis_core_academic_programmes do |t|
      t.integer :duration, null: false
      t.references :programme,
                   null: false,
                   index: { name: 'ap_on_programme_indx' },
                   foreign_key: { to_table: :sis_core_programmes }
      t.references :programme_type,
                   null: false,
                   index: { name: 'ap_on_pt_indx' },
                   foreign_key: { to_table: :sis_core_lookups }
      t.references :programme_level,
                   null: false,
                   index: { name: 'ap_on_pl_indx' },
                   foreign_key: { to_table: :sis_core_lookups }

      t.timestamps
    end
  end
end
