class CreateSisCoreExamSetups < ActiveRecord::Migration[6.0]
  def change
    create_table :sis_core_exam_setups do |t|
      t.date :date, null: false
      t.float :hours, null: false
      t.string :venue, null: false
      t.references :application_setup,
                   null: false,
                   index: { name: 'es_on_as_indx' },
                   foreign_key: { to_table: :sis_core_application_setups }

      t.timestamps
    end
  end
end
