class CreateSisCoreExams < ActiveRecord::Migration[6.0]
  def change
    create_table :sis_core_exams do |t|
      t.string :title, null: false
      t.datetime :start, null: false
      t.datetime :finish, null: false
      t.float :points, null: false
      t.float :pass_point, null: false
      t.references :exam_setup,
                   null: false,
                   index: { name: 'exams_on_es_indx' },
                   foreign_key: { to_table: :sis_core_exam_setups }

      t.timestamps
    end
  end
end
