class CreateSisCoreStudents < ActiveRecord::Migration[6.0]
  def change
    create_table :sis_core_students do |t|
      t.string :student_id, null: false, unique: true
      t.string :full_name, null: false
      t.date :date_of_birth, null: false
      t.string :nationality, null: false
      t.references :academic_programme,
                   index: { name: 'program_on_student_indx' },
                   null: false,
                   foreign_key: { to_table: :sis_core_academic_programmes }

      t.timestamps
    end
  end
end
