class CreateSisCoreUsers < ActiveRecord::Migration[6.0]
  def change
    create_table :sis_core_users do |t|
      t.string :first_name, null: false
      t.string :last_name, null: false
      t.string :email, null: false
      t.boolean :active, default: true
      t.string :password_digest, null: false
      t.string :reset_password_token
      t.datetime :reset_password_sent_at
      t.string :secret_question
      t.string :secret_question_answer

      t.timestamps
    end
  end
end
