class CreateSisCoreApplicationModules < ActiveRecord::Migration[6.0]
  def change
    create_table :sis_core_application_modules do |t|
      t.string :code, null: false
      t.string :name, null: false

      t.timestamps
    end

    create_table :sis_core_application_modules_users, id: false do |t|
      t.belongs_to :application_module, index: { name: 'app_module_on_app_modules_usr_indx' }
      t.belongs_to :user, index: { name: 'usr_on_app_modules_usr_indx' }
    end
  end
end
