class CreateSisCoreUserRoles < ActiveRecord::Migration[6.0]
  def change
    create_table :sis_core_user_roles do |t|
      t.string :name, null: false
      t.references :application_module, index: { name: 'app_module_on_usr_role_indx' }

      t.timestamps
    end

    create_table :sis_core_user_roles_users, id: false do |t|
      t.belongs_to :user, index: { name: 'usr_on_usr_role_usrs_indx' }
      t.belongs_to :user_role, index: { name: 'usr_role_on_usr_role_usrs_indx' }
    end
  end
end
