class CreateSisCoreCreditHourRates < ActiveRecord::Migration[6.0]
  def change
    create_table :sis_core_credit_hour_rates do |t|
      t.references :programme_level,
                   null: false,
                   index: { name: 'pr_level_on_chr_hr_rate_indx' },
                   foreign_key: { to_table: :sis_core_lookups }
      t.references :currency,
                   null: false,
                   index: { name: 'currency_on_chr_hr_rate_indx' },
                   foreign_key: { to_table: :sis_core_lookups }
      t.float :rate, null: false

      t.timestamps
    end
  end
end
