class CreateSisCoreAcademicProgrammeDocuments < ActiveRecord::Migration[6.0]
  def change
    create_table :sis_core_academic_programme_documents do |t|
      t.references :academic_programme,
                   null: false,
                   index: { name: 'ap_on_ap_doc' },
                   foreign_key: { to_table: :sis_core_academic_programmes }
      t.references :document_type,
                   null: false,
                   index: { name: 'dt_on_ap_doc' },
                   foreign_key: { to_table: :sis_core_lookups }
      t.string :remark
      t.integer :original, default: 1
      t.integer :copy, default: 1

      t.timestamps
    end
  end
end
