class RemoveProgrammeAndAddMaximumClassSizeToCourse < ActiveRecord::Migration[6.0]
  def change
    remove_column :sis_core_courses, :academic_programme_id
    add_column :sis_core_courses, :maximum_class_size, :integer
    add_column :sis_core_courses, :has_lab, :boolean, default: false
    add_column :sis_core_courses, :has_tutorial, :boolean, default: false
    add_column :sis_core_courses, :tutorial_hours, :float
    change_column :sis_core_courses, :description, :string, null: true
  end
end
