class CreateSisCoreEligibilityCriteria < ActiveRecord::Migration[6.0]
  def change
    create_table :sis_core_eligibility_criteria do |t|
      t.references :clearing_role,
                   null: false,
                   index: { name: 'clr_role_on_eli_criteria' },
                   foreign_key: { to_table: :sis_core_user_roles }
      t.string :description

      t.timestamps
    end
  end
end
