class AddUniqueIndexToModels < ActiveRecord::Migration[6.1]
  def change
    add_index :sis_core_student_eligibilities, [:student_id, :academic_year_id, :semester_id, :eligibility_criteria_id], unique: true,
              name: 'stu_ay_sem_elc_uniq_on_stud_elg'
    add_index :sis_core_course_registrations, [:student_id, :course_offering_id], unique: true,
              name: 'stu_co_uniq_on_stud_elg'
  end
end
