# -*- encoding: utf-8 -*-
# stub: sis_core 1.0.19 ruby lib

Gem::Specification.new do |s|
  s.name = "sis_core".freeze
  s.version = "1.0.19"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Henock L.".freeze]
  s.date = "2021-05-16"
  s.description = "An engine which contains the core of the student information system app as a layer.".freeze
  s.email = ["henockl@live.com".freeze]
  s.homepage = "http://www.mks.com.et".freeze
  s.licenses = ["MIT".freeze]
  s.rubygems_version = "3.2.22".freeze
  s.summary = "Core engine for student information system application.".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<aasm>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<active_model_serializers>.freeze, ["~> 0.10.0"])
    s.add_runtime_dependency(%q<bcrypt>.freeze, ["~> 3.1.16"])
    s.add_runtime_dependency(%q<jwt>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<rails>.freeze, ["~> 6.1.3"])
    s.add_runtime_dependency(%q<sqlite3>.freeze, [">= 0"])
    s.add_development_dependency(%q<factory_bot_rails>.freeze, [">= 0"])
    s.add_development_dependency(%q<ffaker>.freeze, [">= 0"])
    s.add_development_dependency(%q<pg>.freeze, [">= 0.18", "< 2.0"])
    s.add_development_dependency(%q<rspec-rails>.freeze, [">= 0"])
    s.add_development_dependency(%q<shoulda-matchers>.freeze, [">= 0"])
    s.add_development_dependency(%q<simplecov>.freeze, [">= 0"])
  else
    s.add_dependency(%q<aasm>.freeze, [">= 0"])
    s.add_dependency(%q<active_model_serializers>.freeze, ["~> 0.10.0"])
    s.add_dependency(%q<bcrypt>.freeze, ["~> 3.1.16"])
    s.add_dependency(%q<jwt>.freeze, [">= 0"])
    s.add_dependency(%q<rails>.freeze, ["~> 6.1.3"])
    s.add_dependency(%q<sqlite3>.freeze, [">= 0"])
    s.add_dependency(%q<factory_bot_rails>.freeze, [">= 0"])
    s.add_dependency(%q<ffaker>.freeze, [">= 0"])
    s.add_dependency(%q<pg>.freeze, [">= 0.18", "< 2.0"])
    s.add_dependency(%q<rspec-rails>.freeze, [">= 0"])
    s.add_dependency(%q<shoulda-matchers>.freeze, [">= 0"])
    s.add_dependency(%q<simplecov>.freeze, [">= 0"])
  end
end
